### Function

# AppStream license_is_free_license

since: 0.12.10

#### Declaration [src]

    gboolean
    as_license_is_free_license (
      const gchar* license
    )

#### Description [src]

Check if the given license is for free-as-in-freedom software. A free software license is either approved by the Free Software Foundation or the Open Source Initiative.

This function does not yet handle complex license expressions with AND and OR. If the expression contains any of these, it will still simply check if all mentioned licenses are Free licenses. Currently, any license exception recognized by SPDX is assumed to not impact the free-ness status of a software component.

Please note that this function does not give any legal advice. Please read the license texts to learn more about the individual licenses and their conditions.

Available since: 0.12.10

#### Parameters

`license`

  Type: `const gchar*`

  The SPDX license string to test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the license string contains only free-as-in-freedom licenses.